/* VARIABLES GLOBALS */

:root {
  --brandColor: #d2c198;
  --brandDarkColor: #1e2740;
  --defaultTextColor: #000000;
  --backgroundColorWhite: #FFFFFF;
  --backgroundBrandColor: var(--brandColor);
  --backgroundDarkBrandColor: var(--brandDarkColor);

  --bannerTitleFontSize: clamp(40px, 6vw, 120px);
  --bannerSubtitleFontSize: clamp(20px, 4vw, 30px);
  --introH2FontSize: clamp(20px, 5vw, 30px);
  --sectionTitleFontSize: clamp(30px, 5vw, 55px);
  --itemTitleFontSize: clamp(25px, 5vw, 45px);

  --backgroundImage01: url("../img/bg/bg_alga_01-DjAWl_l.png");
  --backgroundImage02: url("../img/bg/bg_alga_02-RBjcbAP.png");
  --backgroundImage03: url("../img/bg/bg_alga_03-J0979aP.png");


}

/* GENERALS */


header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
  background: transparent;
  color: #fff;
  z-index: 1000;
  background:linear-gradient(0deg, rgba(37, 43, 65, 0) 0%, rgba(37, 43, 65, 1) 100%);
}


body {
  font-family: "Inter", sans-serif;
  line-height: 1.5;
  color: #000;
  margin: 0;
  padding: 0;
  font-size: 16px;
  font-weight: 400;
}

body *,
div {
  box-sizing: border-box;
}

.alga-btn-light {
  background-color: var(--brandColor);
  font-weight: 600;
  color: var(--brandDarkColor);
  text-transform: uppercase;
  font-size: 1rem;
  text-decoration: none;
  padding: 12px 50px;
  border-radius: 500px;
  width: fit-content;
  border: none;
}

.alga-btn-dark {
  background-color: var(--backgroundDarkBrandColor);
  font-weight: 600;
  color: #ffffff;
  text-transform: uppercase;
  font-size: 1rem;
  text-decoration: none;
  padding: 12px 50px;
  border-radius: 500px;
  width: fit-content;
}

.alga-btn-dark-bis {
  background-color: var(--backgroundDarkBrandColor);
  font-weight: 600;
  color: var(--brandColor);
  text-transform: uppercase;
  font-size: 1rem;
  text-decoration: none;
  padding: 12px 50px;
  border-radius: 500px;
  width: fit-content;
}


a.portadaPageLogo {
  display: none;
  width: 300px;
  max-width: 60%;
  height: auto;
  padding-bottom:50px;
}

a.portadaPageLogo img {
  display: inline-block;
  width: 100%;
  height: auto;
}

h1 {
  font-family: "Roboto Serif", serif;
  font-weight: 500;
}

h2 {
  font-family: "Roboto Serif", serif;
  font-weight: 500;
}

h3 {
  font-family: "Roboto Serif", serif;
  font-weight: 500;

}

.boldFont {
  font-weight: 600;
}

h2.boldFont {
  font-family: "Inter", sans-serif;
  margin-bottom: 0;
}

.alga-sectio-title-dark {
  font-family: "Roboto Serif", serif;
  color: var(--brandDarkColor);
  font-size: var(--sectionTitleFontSize);
  font-weight: 500;
  text-align: center;
  line-height: 1.1;
  margin-bottom: 50px;
}

.alga-sectio-title-light {
  font-family: "Roboto Serif", serif;
  color: #fff;
  font-size: var(--sectionTitleFontSize);
  font-weight: 500;
  text-align: center;
  line-height: 1.1;
  margin-bottom: 50px;
}

.alga-sectio-title-gold {
  font-family: "Roboto Serif", serif;
  color: var(--brandColor);
  font-size: var(--sectionTitleFontSize);
  font-weight: 500;
  text-align: center;
  line-height: 1.1;
  margin-bottom: 50px;
}

.topGradientBg {
  position:relative;
}

.topGradientBg *{
  z-index:2;
}

.topGradientBg:before {
  position:absolute;
  content:"";
  top:0;
  left:0;
  width:100%;
  height:100%;
  opacity:0.9;
  background:linear-gradient(0deg, rgba(37, 43, 65, 0) 0%, rgba(37, 43, 65, 1) 100%);
  z-index:1;
}


.booking-box-button {
  display:none;
}
/* MAP GOOGLE */

.galleryMap {
  width: stretch;
  aspect-ratio: 5 / 3;
  margin-bottom: 0;
  border-radius: 20px 20px;
  overflow: hidden;
  background-color: #cccccc;
}

.gm-style-iw-ch {
  display: none;
}

.gm-style-iw-chr {
  justify-content: flex-end;
  position: absolute;
  right: 0;
}

.gm-style-iw-chr .gm-ui-hover-effect {
  width: 30px;
  height: 30px;
}

.gm-style-iw-chr .gm-ui-hover-effect > span {
  margin: 0;
}

.gm-style-iw-d  {
  padding-top: 12px;
}
.gm-style-iw-d > div > strong {
  font-weight: 700;
  color: var(--brandColor);;
  font-size: clamp(14px, 2vw, 16px);
}

.gm-style-iw-d > div a.linkGoogleMaps {
  background-color: var(--brandColor);;
  color:white;
  border-radius:20px;
  padding:2px 15px;
  text-decoration: none;
  font-family: "Ubuntu-regular", sans-serif;
  display: inline-block;
  font-size: 12px;

}

.gm-style-iw-d > div a.linkGoogleMaps:hover {
  background-color:black;
}



/* NAVBAR DESKTOP */

.navbar-desktop {
  border-top: solid var(--brandColor) 5px;

}

.navbar-mobil{
  display: none;
}


.header-inner {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin: 2% 12.5%;
  align-items: flex-start;
}

.navbar-left img {
  width: 190px;
  height: auto;
  color:white;
}

.navbar-right {
  display: flex;
  flex-direction: row;
  gap: 20px;
  align-items: center;
}


.phone-navbar {
  display: flex;
  flex-direction: row;
  align-items: center;
  color: var(--brandColor);
  gap: 20px;
}

.header-phone {
  width: 20px;
}

.header-icon {
  height: 40px;
  width: auto;
  cursor: pointer;
}

.btn-toggle {
  background: none;
  border: none;
  padding: 0;
  margin: 0;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

.btn-toggle:focus {
  outline: none;
}


/* NAVBAR MBL */


/* PORTADA DESKTOP */

.bannerPortadaSlider-wrapper {
  position: relative;
  width: 100%;
  overflow: hidden;
}

.bannerPortadaSlider {
  width: 100%;
}

.bannerPortadaSlider-inner {
  display: flex;
  transition: transform 0.5s ease-in-out;
  width: 100%;
}

.bannerPortadaItem {
  min-width: 100%;
  width: 100%;
  flex-shrink: 0;
}

.bannerPortadaItem .topGradientBg {
  padding:30px;
}

.bannerPortada-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: none;
  border: none;
  cursor: pointer;
  z-index: 10;
  padding: 20px;
  transition: opacity 0.3s;
}

.bannerPortada-btn:hover {
  opacity: 0.7;
}

.bannerPortada-btn.prev {
  left: 20px;
}

.bannerPortada-btn.next {
  right: 20px;
}

.bannerPortada-btn img {
  width: 50px;
  height: auto;
}

@media (max-width: 768px) {
  .bannerPortada-btn img {
    width: 30px;
  }
  .bannerPortada-btn.prev {
    left: 5px;
  }
  .bannerPortada-btn.next {
    right: 5px;
  }
}

.portada {
  height: 90vh;
  display: flex;
  flex-direction: column;
  justify-content: end;
  position: relative;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.portada-mbl{
  display: none;
}

.portada h1 {
  color: #fff;
  text-transform: uppercase;
  text-align: center;
  line-height: 1;
  font-size: var(--bannerTitleFontSize);
  margin-bottom: 0;
}

.portada h2 {
  color: #fff;
  text-align: center;
  font-family: "Inter", sans-serif;
  font-size: var(--bannerSubtitleFontSize);
  font-weight: 400;
  letter-spacing: 0.07em;
  padding-bottom: 5%;
}

/* DISPONIBILITAT TIPUS BOOKING */

.booking-box-wrapper {
  position: relative;
  width: 100%;
  height: 1px;
  overflow: visible;
  transform: translateY(-1px);
}

.booking-box {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 50%);
  width: 1200px;
  max-width: 90%;
  background: white;
  border-radius: 60px;
  padding: 10px 15px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
  box-shadow: 0 20px 60px rgba(0, 0, 0, 0.15);
  z-index: 5;

}

/* Cada camp */
.booking-field {
  display: flex;
  flex-direction: column;
  flex: 1;
}

.booking-field label {
  font-size: 16px;
  color: #000;
  margin-bottom: 4px;
  font-weight: 600;
  text-transform: uppercase;
  text-align: left;

}

.booking-field input,
.booking-field select {
  border: none;
  outline: none;
  font-size: 16px;
  font-weight: 400;
  background: transparent;
}

/* Separadors verticals */
.booking-field:not(:last-child) {
  border-right: 1px solid #000;
  padding: 0 45px;
}

/* Botó */
.booking-btn {
  background: var(--brandColor);
  color: var(--brandDarkColor);
  border: none;
  padding: 14px 30px;
  border-radius: 40px;
  font-weight: 600;
  cursor: pointer;
  white-space: nowrap;
  transition: 0.3s;
  text-transform: uppercase;
}

/* INTRODUCCIÓ */

.introduccio {
  background-repeat: repeat;
  background-position: top;
  background-image: var(--backgroundImage01);
  background-color: transparent;
  padding: 5% 20%;
  text-align: center;

}

.intro-contingut h2 {
  font-family: "Inter", sans-serif;
  color: #000;
  font-size: 26px;

}

.intro-contingut p {
  font-size: 16px;
  line-height: 23px;
}

.intro-tag {
  font-weight: 600;
}

/* HABITACIONS */

.habitacions {
  width: 100%;
  overflow: hidden;
  padding: 80px 0;
}

.habitacions h3 {
  color: #fff;
  font-size: var(--itemTitleFontSize);
  text-align: center;
  text-transform: uppercase;
  font-weight: 400;
  margin-bottom: 10px;
}

.alga-carousel-wrapper {
  position: relative;
  width: 100vw;
  overflow: hidden;
}

.alga-carousel {
  display: flex;
  gap: 100px;
  transition: transform 0.5s ease;
}

/* Cada card ocupa menos del 100% para que se vean las de los lados */
.alga-card {
  flex: 0 0 38vw;
  /* central ocupa 38% del viewport */
  border-radius: 30px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  padding: 30px;
  aspect-ratio: 3/2;
  /*max-height: 400px;*/
  align-items: center;
  justify-content: center;
}

/* Imagen de fondo ejemplo */
.vistes_mar {
  background: linear-gradient(rgba(0, 0, 0, 0.2),
  rgba(0, 0, 0, 0.2)),
  url("../img/superiorVistesMar-LkErhUz.jpg") center / cover no-repeat;
}

/* Botones */
.carousel-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: transparent;
  border: none;
  width: 50px;
  height: 50px;
  cursor: pointer;
  z-index: 5;
}

.carousel-btn.prev {
  left: calc((48vw + 100px) / 2 - 25px);
  /* mitad del gap menos la mitad del botón */
}

.carousel-btn.next {
  right: calc((48vw + 100px) / 2 - 25px);
  /* idem a la derecha */
}

.carousel-btn img {
  width: 30px;
}


/* GASTRONOMIA */

.gastronomia-home{
  background-image:
          linear-gradient(45deg,
          rgba(209, 193, 152, 0.8),
          rgba(29, 39, 64, 0.9)),
          url("../img/gastronomiaBackground-WLj0Br7.jpg");
  background-size: cover;
  background-position: center;
}

.gastronomia-header {
  height: 450px;
  display: flex;
  justify-content: center;
  align-items: center;

}



.gastronomia-header h2 {
  color: #fff;
  font-size: var(--sectionTitleFontSize);
  margin-bottom: 200px; /* Ajust per separar-lo de les fotos */
}

.gastronomia-content {
  display: flex;
  justify-content: center;
  gap: 20px;
  width: 1500px;
  max-width: 80%;
  margin: -200px auto 0;
  padding: 0 20px;
}

.gastronomia-content .card {
  border: none;
  width: 30%;
  border-radius: 20px;
  overflow: hidden;
}

.card img {
  width:100%;
  aspect-ratio: 3 / 4;
  height: auto;
  border-radius: 20px;
  display: block;
  object-fit: cover;
  /*max-height: 400px;*/
}

.gastronomia-content .card img{
  max-height: initial;
}


.gastronomia-content-text {
  text-align: center;
  /* width: 60vw; */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 2% 20% 100px 20%;
}

.route_events_weddings_index .gastronomia-content-text,
.route_events_celebrations_index .gastronomia-content-text,
.route_events_corporations_index .gastronomia-content-text{
  padding: 2% 20% 0 20%;
}





.gastronomia-content-text h3{
  font-family: "Inter", sans-serif;
  color: #000;
  font-size: 26px;
  font-weight: 600;
}

.gastronomia-content-text p {
  padding-bottom: 20px;
}

/* OFERTES I PROMOS */

.ofertes-title-mbl{
  display: none;
}

.ofertes-container {
  display: flex;
  align-items: center; /* Centra verticalment el text respecte a la foto */
  justify-content: center; /* Centra el conjunt a la pantalla */
  gap: 50px; /* Espai entre la foto i el text */
  padding: 80px 20px;
  background-image: var(--backgroundImage02)
}

.ofertes-image {
  flex: 1; /* Ocupa espai proporcional */
  max-width: 680px; /* Evita que la foto es faci gegant */
}

.ofertes-image img {
  width: 100%; /* La foto s'adapta al seu contenidor */
  height: auto;
  display: block;
}

.ofertes-info {
  flex: 1;
  max-width: 400px;
  margin-top: 0;
}

.ofertes-info h2 {
  color: #c5b68d;
  font-size: var(--sectionTitleFontSize);
  line-height: 1.1;
  margin-bottom: 20px;
  margin-left: -160px;
}


.ofertes-info p,
.ofertes-info .text-wrapper {
  font-size: 0.9rem;
  line-height: 1.6;
  margin-bottom: 30px;
}

.btn-mes-info {
  display: inline-block;
  background-color: #c5b68d;
  color: #333;
  padding: 12px 35px;
  border-radius: 25px;
  text-decoration: none;
  font-weight: bold;
  font-size: 0.8rem;
  text-transform: uppercase;
}


.text-button{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 12vw;
}



/* TESTIMONIS */

.testimonis{
  padding: 2% 0;
  background-image: var(--backgroundImage03);
  background-color: var(--brandDarkColor);
}

.testimonis .alga-sectio-title-gold{
  text-align: center;
}


.testimonials-wrapper {
  display: flex;
  align-items: center;
  position: relative;
  width: 100%;
  max-width: 80vw;
  margin: 0 auto;
}


.testimonials-carousel {
  overflow: hidden;
  flex: 1;
  margin: 0 20px;
}


.testimonials-carousel-inner {
  display: flex;
  transition: transform 0.5s ease-in-out;
}


.testimonial-card {
  min-width: calc(33.33% - 20px);
  width: calc(33.33% - 20px);
  margin: 0 10px;
  box-sizing: border-box;
  text-align: center;
}

@media (max-width: 1024px) {
  .testimonial-card {
    min-width: calc(50% - 20px);
    width: calc(50% - 20px);
  }
}

@media (max-width: 600px) {
  .testimonial-card {
    min-width: calc(100% - 20px);
    width: calc(100% - 20px);
  }
}





.testimonial-btn {
  background: none;
  border: none;
  font-size: 4rem;
  cursor: pointer;
  color: var(--brandColor);
  padding: 10px;
  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: center;
}

.testimonial-btn:hover {
  opacity: 0.7;
}


.testimonials-pagination {
  display: flex;
  justify-content: center;
  gap: 8px;
  margin-top: 20px;
}


/* PAGINACIÓ DEL CARROUSSEL DE TESTIMONIS */

.dot {
  width: 10px;
  height: 10px;
  background: #444;
  border-radius: 50%;
  cursor: pointer;
}

.dot.active {
  background: var(--brandColor);
}


.testimonials-pagination {
  display: flex;
  justify-content: center;
  gap: 12px;
  margin-top: 30px;
}


.dot {
  width: 12px;
  height: 12px;
  background-color: #555;
  border-radius: 50%;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.2s ease;
  border: none;
  padding: 0;
}


.dot.active {
  background-color: var(--brandColor);
  transform: scale(1.2);
}

.dot:hover {
  background-color: #888;
}

.reaction-main{
  color: white;
  font-family: "Inter", sans-serif;
  font-size: 1.4rem;
  font-weight: 600;
}

.testimonial-text{
  color: white;
  font-family: "Inter", sans-serif;
  font-size: 1rem;
}

.testimonial-author{
  color: white;
  font-family: "Inter", sans-serif;
  font-size: 0.8rem;
  font-style: italic;

}

.rating-score{
  color: var(--brandColor);
  font-family: "Inter", sans-serif;
  font-size: 1.4rem;
  font-weight: 600;
}

.rating{
  padding-top: 15px;
  color:var(--brandColor);
}

.rating-stars img{
  width: 20px;
}

.testimonial-btn img{
  width: 30px;
}

/* MARQUES */

.marques{
  padding: 100px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.principal{
  display: block;
  margin: auto;
  width: 300px;
}

.brands-grid {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 80px;
  align-items: center;
  justify-items: center;
  max-width: 80%;
  padding-top: 50px;
  width: 1200px;
}

.brand-item {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 20px;
}

.brand-item img {
  max-width: 100%;
  height: auto;
}

.brand-item.alga img {
  transform: translateY(25%);
}

/* FOOTER */

.footer-bottom{
  display: none;
  background-color: var(--brandDarkColor);
  color: var(--brandColor);
}
.site-footer{
  display: flex;
  justify-content: center;
  background-color: #E7E7E7;
}

.site-footer p{
  font-size: 0.9rem;
}

.site-footer p a {
  color: var(--brandColor);
  text-decoration: none;
}

.site-footer p a:hover {
  color:white;
}
.footer-container{
  display: flex;
  flex-direction: row;
  gap: 50px;
  width: 80vw;
  padding: 50px 0;
}

.footer-column-logo{
  width: 30%;
}

.footer-column-logo p {
  width:300px;
  max-width: 100%;
}

.logo-footer{
  width: 180px;
  margin-bottom: 50px;
}

.footer-column-news{
  width: 30%;
}

.footer-column-links{
  width: 20%;
}
.footer-column-info{
  width: 20%;
}

.menu-socials{
  display: flex;
  flex-direction: row;
  gap: 15px;
  align-items: center;
  margin-top: 50px;
}

.menu-socials img{
  width: 40px;
  height: 40px;
}

.footer-column-links a{
  color: var(--brandDarkColor);
  font-family: "Inter", sans-serif;
  text-decoration: none;
  font-size: 17px;
}

.footer-column-links a:hover {
  color: #000000;
  text-decoration: underline;
}

.footer-column-links ul li{
  list-style: none;
}

.footer-info{
  color: var(--brandDarkColor);
  line-height: 1.5;
}

.footer-column-info a {
  color: var(--brandDarkColor);
  font-family: "Inter", sans-serif;
  text-decoration: none;
  font-size: 0.9rem;
}

.footer-column-info a:hover {
  color: #000000;
  text-decoration: underline;
}

.newsletter-form{
  display: flex;
  flex-direction: column;
}

.newsletter-form input[type="text"],
.newsletter-form input[type="email"] {
  background-color: transparent;
  border-bottom: var(--brandColor) solid 1.5px;
  margin-top: 10px;
  border-top: none;
  border-left: none;
  border-right: none;
  font-family: "Inter", sans-serif;
  color: var(--brandDarkColor);
  height: 40px;
}

.newsletter-form input[type="checkbox"]  {
  margin-top: 0;
  cursor: pointer;
  appearance: none;
  -webkit-appearance: none;
  width: 18px;
  height: 18px;
  border: 1.5px solid var(--brandColor);
  background-color: transparent;
  display: inline-block;
  vertical-align: middle;
  position: relative;
  outline: none;
}

.newsletter-form input[type="checkbox"]:checked::after {
  content: '';
  position: absolute;
  left: 5px;
  top: 2px;
  width: 5px;
  height: 10px;
  border: solid var(--brandDarkColor);
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}

.newsletter-form label {
  font-family: "Inter", sans-serif;
  color: var(--brandDarkColor);
  font-size: 13px;
  display: block;
  margin-bottom: 0;
  margin-top: 15px;
}

.btn-submit{
  display: flex;
  justify-content: end;
}

.footer-newsletter p{
  font-family: "Inter", sans-serif;
  color: var(--brandDarkColor);
  font-size: 0.9rem;
}

.footer-newsletter h3{
  font-family: "Roboto Serif", serif;
  font-weight: 500;
  color: var(--brandColor);
  font-size: 2.5rem;
  margin: 0;
}

/* MEGAMENU */

/* =============================================
   1. CONTENIDOR PRINCIPAL (PANTALLA COMPLETA)
   ============================================= */
.mega-menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: var(--brandDarkColor);
  color: white;
  z-index: 99999;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;

  overflow-y: auto;
  padding-bottom:50px;

  opacity: 0;
  visibility: hidden;
  transition: opacity 0.4s ease-in-out, visibility 0.4s;
  border-top: solid 5px var(--brandColor);
}

/* Classe d'activació per JS */
.mega-menu.is-active {
  opacity: 1;
  visibility: visible;
}

/* =============================================
   2. FILA SUPERIOR (LOGO I ACCIONS)
   ============================================= */
.menu-top-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin: 2% 12.5%;
  align-items: flex-start;
}

.menu-top-row .logo img {
  height: auto; /* Ajusta segons el teu logo */
  width: 190px;
}

.menu-actions {
  display: flex;
  align-items: center;
  gap: 20px;
}

.btn-reserva {
  background-color: var(--brandColor); /* Daurat/Crema */
  color: var(--brandDarkColor);
  border: none;
  padding: 12px 28px;
  border-radius: 30px;
  font-family: "Inter", sans-serif;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 1px;
  cursor: pointer;
  transition: transform 0.2s;
}

.btn-reserva:hover {
  transform: scale(1.05);
}

.icons{
  display: flex;
  flex-direction: row;
  gap: 15px;
}

.icons img {
  width: 30px;
}



/* =============================================
   3. CONTINGUT DINÀMIC (LINKS I SUBMENÚ)
   ============================================= */
.menu-content {
  display: grid;
  grid-template-columns: 250px 250px 1fr ; /* Dues columnes definides */
  gap: 40px;
  height: 100%;
  align-items: start;
  padding-left: 12.5%;
}

.main-links, .secondary-links {
  list-style: none;
  padding: 0;
}

.main-links li a {
  font-size: 1.5rem;
  color: var(--brandColor);
  text-decoration: none;
  line-height: 2;
  transition: color 0.3s;
}

.main-links li a:hover {
  color: white;
}

/* Columna de links secundaris que apareixen al mig */
.secondary-column {
  border-left: 1px solid rgba(202, 190, 152, 0.3);
  padding-left: 40px;
  min-height: 300px;
  opacity: 1;
  transition: opacity 0.3s ease;
}

.secondary-column.no-active {
  opacity: 0;
  pointer-events: none;
}

.secondary-column.is-visible {
  opacity: 1;
  pointer-events: auto;
}

.secondary-links li a {
  color: var(--brandColor);
  font-size: 1.2rem;
  text-decoration: none;
  line-height: 2.5;
}

.secondary-links li a:hover {
  color: white;
}
/* Columna de la dreta amb el mapa */
.info-hotel-column {
  background-color: var(--brandColor);
  color: var(--brandDarkColor);
  border-radius: 20px;
  height: fit-content;
  display: flex;
  overflow: hidden;
}

.info-hotel-column .menu-image{
  width:100%;
}

.info-hotel-column .menu-image img {
  width: 100%;
  object-fit: cover;
  display: block;

}

.info-text{
  width: 30%;
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.concept-info{
  display: flex;
  flex-direction: row;
  gap: 15px;
  align-items: center;
}

.concept-info p{
  margin: 5px;
  white-space: nowrap;
}

.concept-info a {
  text-decoration: none;
  color: var(--brandDarkColor);
}

.concept-info a:hover {
  text-decoration: underline;
  color: #000000;
}

.imatge-info{
  width: 25px;
  height: auto;
}

.info-social{
  display: flex;
  flex-direction: row;
  gap: 15px;
  margin-top: 100px;
}

.info-social img{
  width: 40px;
}

/* NAVBAR MBL */

.nav-mobile{
  background-color: var(--brandDarkColor);
  display: flex;
  flex-direction: column;
  justify-content:space-between;
  z-index: 9999;
  position:fixed;
  height: 100%;
  width: 100vw;
  padding: 10px 0;
  border-top: solid 5px #c5b68d;
  top: 0;
  left: -105%;
  transition: left 0.5s cubic-bezier(0.77, 0, 0.175, 1), opacity 0.4s ease;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
}

.nav-mobile.is-active {
  left: 0;
}

.top-navbar-mbl{
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0 20px;
  justify-content: space-between;
}

.top-navbar-mbl a {
  color: #c5b68d;
  text-decoration: none;
}

.top-navbar-mbl hover {
  color: #ffffff;
}

.top-navbar-mbl p{
  color: #c5b68d;
}

.top-navbar-mbl img{
  width: 35px;
  height: fit-content;
}

.top-nav-icons{
  display: flex;
  gap: 15px;
}

.main-mbl-links{
  margin: 0;
  padding: 0;
}

.main-mbl-links a{
  font-weight: 500;
  color: #fff;
  text-decoration: none;
  font-size: 1.4rem;
  line-height: 2;
}

.main-mbl-links li li a{
  font-weight: 300;
}


.nav-mbl-links{
  padding: 0 60px;
}

.main-mbl-links li{
  list-style: none;
}

.nav-mbl-footer{
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 25px;
  margin-bottom: 50px;
  padding-top: 30px;
}

.nav-mbl-footer img{
  width: 35px;
}

.nav-mbl-footer .nav-xarxes{
  display: flex;
  flex-direction: row;
  gap: 15px;

}

/********************************* RESPONSIVE *********************************/

@media only screen
and (max-width: 1800px) {

  .info-hotel-column {
    display: flex;
    flex-wrap: wrap;
  }

  .info-hotel-column > div {
    width: 100%;
  }

  .info-hotel-column .info-text {
    order: 2;
    width: 100%;
  }

  .info-hotel-column .galleryMap {
    width: 100%;
    aspect-ratio: 4 / 3;

  }


  @media only screen
  and (min-device-width: 1024px)
  and (max-device-width: 1400px)
  and (-webkit-min-device-pixel-ratio: 2) {

    .booking-box {
      width: 90vw;

    }

    .booking-field {
      width: 100%;
      padding: 0 10px 10px 10px !important;
    }

    .booking-btn {
      width: 100%;
      margin-top: 10px;

    }

    /* HABITACIONS */
    .carousel-btn.prev {
      left: calc((40vw + 100px) / 2 - 25px);
    }

    .carousel-btn.next {
      right: calc((40vw + 100px) / 2 - 25px);
    }


    /* MEGAMENU */
    .info-hotel-column .menu-image img {
      height: 100%;
    }

    .info-hotel-column {
      min-height: 345px;
    }

    .concept-info {
      align-items: start;
    }


  }

}


@media screen and (max-width: 1200px) {


  .mega-menu .menu-content {
      grid-template-columns: 250px 1fr;
    height: auto;
  }

  .menu-content .info-hotel-column {
    grid-column: 1 / -1;
  }

  .brands-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
  }

  .brands-grid img {
    width:150px;
    height: auto;
  }

}



/* --- TABLET (Fins a 1024px) --- */
@media screen and (max-width: 1024px) {

  /* NAVBAR */
  .navbar-desktop{
    display: none;
  }

  .navbar-mobil{
    display: block;
    border-top: solid 5px var(--brandColor);
    width: 100vw;
  }

  .navbar-inner{
    margin: 10px;
  }

  .navbar-mobil img{
    width: 40px;
  }

  .bannerPortadaItem .topGradientBg {
    padding:30px 50px;
  }

  .portada{
    display: none;
  }

  .portada-mbl {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 16px;
    position: relative;
  }

  .portada-content img{
    width: 250px;
  }

  .portada-mbl h1 {
    color: #fff;
    text-transform: uppercase;
    text-align: center;
    line-height: 1;
    font-size: var(--bannerTitleFontSize);
    margin-bottom: 0;
  }

  .portada-mbl h2 {
    color: #fff;
    text-align: center;
    font-family: "Inter", sans-serif;
    font-size: var(--bannerSubtitleFontSize);
    font-weight: 400;
    letter-spacing: 0.14em;
    padding-bottom: 5%;
  }

  .portada-button {
    position: absolute;
    bottom: -28px; /* la meitat fora del hero */
    left: 50%;
    transform: translateX(-50%);
    display: inline-flex;
    align-items: center;
    font-size: 0.9rem;
    z-index: 20;
    transition: all 0.3s ease;

  }

  body .booking-box {
    width: 90vw !important;
    display: none;

  }

  /* INTRODUCCIÓ */

  .introduccio {
    padding: 10% 8%;
    background-color: #D1C19850;

  }


  /* GASTRONIMIA */

  .gastronomia-header {
    height: 250px;
  }
  .gastronomia-content {
    margin-top: -100px;
  }

  .gastronomia-header h2 {
    margin-bottom: 150px;
  }


  /* HABITACIONS */

  .alga-card{
    aspect-ratio: 3/4;
  }


  /* OFERTES I PROMOCIONS */

  .ofertes-container{
    display: flex;
    flex-direction: column;
    padding: 10% 8%;
  }

  .ofertes-title-mbl{
    display: block;
    text-align: center;
  }

  .ofertes-title-mbl h2 {
    color: #c5b68d;
    font-size: 2.5rem;
    line-height: 1.1;
  }

  .ofertes-title-desktop{
    display: none;
  }

  .ofertes-info{
    margin-top: 0;
    max-width: 680px;
  }

  .btn-mes-info{
    display: block;
    margin:auto;
    width: fit-content;
  }

  /* TESTIMONIS */

  .testimonial-card {
    flex: 0 0 calc(50% - 20px);
    min-width: calc(50% - 20px);
  }

  .carousel-btn.prev {
    left: calc((45vw) / 2 - 25px);

  }

  .carousel-btn.next {
    right: calc((45vw) / 2 - 25px);
  }

  .testimonis {
    padding: 5% 0;
  }

  /* FOOTER */

  .site-footer {
    flex-direction: column;
    align-items: center;
  }

  .footer-container{
    flex-direction: column;
    align-items: center;
  }

  .footer-column-logo {
    width: 100%;
  }

  .logo-footer {
    display: block;
    margin: auto;
  }

  .menu-socials{
    display: none;
  }

  .footer-column-links{
    display: none;
  }
  .footer-column-info {
    width: 100%;
    text-align: center;
  }

  .footer-column-news {
    width: 100%;
  }

  .btn-submit {
    justify-content: center;
  }

  .footer-bottom{
    display: block;
    width: 100%;
    text-align: center;
  }

  a.portadaPageLogo {
    display: inline-block;
  }

  .marques {
    padding: 50px 0;
  }
}

@media screen and (max-width: 768px) {
  /* MARQUES */

  .brands-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .testimonials-wrapper {
    max-width: 100vw;
  }

  .testimonial-card {
    flex: 0 0 calc(100% - 20px);
    min-width: calc(100% - 20px);
  }

  .gastronomia-content {
    flex-wrap: wrap;
  }

  .gastronomia-content .card.tercera-imatge{
    display: none;
  }

  .gastronomia-content .card a {
    margin-bottom: 5%;
    margin-top: 3%;
    display: inline-block;
  }

  .gastronomia-content .card img {
    width: 60vw;
    margin-bottom:30px;
  }

  #regals-ofertes.gastronomia-content .card img {
    width: 100%;
    height: auto;
}
}


/* --- MÒBIL (Per defecte i fins a 600px aprox) */
@media only screen
and (min-device-width: 320px)
and (max-device-width: 568px)
and (-webkit-min-device-pixel-ratio: 2)
and (orientation: portrait) {



  /* HABITACIONS */

  .habitacions {
    padding: 20px 0;
  }

  .alga-carousel {
    display: flex !important;
    gap: 20px !important; /* Gap fix per a tablets */
    padding: 0 !important;
    margin: 0 !important;
  }

  .alga-card {
    flex: 0 0 70vw !important; /* Ocupa el 70% de la pantalla de l'iPad */
    width: 70vw !important;
    aspect-ratio: 3 / 4;
    max-height: 600px;
  }

  .habitacions h3 {
    font-size: 28px;
    padding: 40% 10% 0 10%;
    font-weight: 300;
  }

  .carousel-btn{
    top: 65%;
  }

  .carousel-btn.prev {
    left: 5px;
    background-color: white;
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 500px;
  }

  .carousel-btn.next {
    right: 5px;
    background-color: white;
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 500px;
  }
  .carousel-btn img{
    width: 15px;
  }

  .carousel-btn.prev {
    left: calc((16vw) / 2 - 25px);

  }

  .carousel-btn.next {
    right: calc((16vw) / 2 - 25px);
  }

  /* GASTRONOMIA */


  .gastronomia-section {
    background-image:
            linear-gradient(45deg,
            rgba(209, 193, 152, 0.8),
            rgba(29, 39, 64, 0.9)),
            url("../img/gastronomiaBackground-WLj0Br7.jpg");
    background-size: cover;
    background-position: center;
    padding: 50px 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
  }


  .gastronomia-header {
    height: auto;
    background-image: none;
    margin-bottom: 30px;
  }

  .gastronomia-header h2 {
    margin-bottom: 0;
    color: #fff;
    font-size: 2.2rem;
  }


  .gastronomia-content {
    flex-direction: column;
    gap: 20px;
    margin-top: 0;
    padding: 0;
    width: 100%;
  }

  .gastronomia-content .card {
    width: 100%;
  }

  .gastronomia-content .card img {
    width: 100%;
    object-fit: cover;
    border-radius: 20px;
    aspect-ratio: 1/1;
  }


  .gastronomia-content-text {
    padding: 40px 0;
    color: #fff;
  }

  .gastronomia-content-text h3 {
    color: #fff;
    font-size: 1.5rem;
    margin-bottom: 20px;
  }

  .gastronomia-content-text p {
    color: #fff;
    font-size: 0.95rem;
    line-height: 1.6;
  }

  .tercera-imatge{
    display: none;
  }


  /* TESTIMONIS */

  .testimonis{
    background-size: cover;
  }
  .testimonial-card {
    flex: 0 0 calc(100% - 20px);
    min-width: calc(100% - 20px);

  }

  .testimonials-wrapper {
    width: auto;
    max-width: none;
    margin: 10px;
  }

  /* MARQUES */

  .marques {
    padding: 20% 0;
  }

  .brands-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
    max-width: 70vw;
  }

  .principal {
    width: 220px;
  }
}












